Subject: Re: bug#31285: [PATCH 0/1] guix: Add git-fetch/impure.
From: Chris Marusich <[email-masked]>
To: Luis Felipe <[email-masked]>
Cc: [email-masked]
Date: Wed, 14 Jul 2021 02:23:44 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Luis Felipe <[email-masked]> writes:

>> Sometimes, a Git repository may only be available via an authenticatedSSH connection. Even in the case of repositories that only containfree software, this situation can arise for administrative orcompliance-related reasons. How can one define a package in such asituation?
>
>
> Correct me if I'm wrong, but I think this is possible now. All you have to do is pass a git-checkout record to the package source field instead of an origin (see the (guix git) module). For example:
>
> (source
>  (git-checkout
>   (url "[email-masked]:luis-felipe/guile-lab.git")
>   (commit (string-append "v" version))))
>
> I'm using this for my private packages, and it seems to work.

Yes, this does work.  Combined with the fact that it is now possible to
"guix pull" channels over SSH, there is no need for this patch any more.
The "git-checkout" gexp-compiler basically does the same thing that I
was trying to do (it is still "impure" in that the fetching happens
outside the store), but it does it more elegantly.

I'm closing this report.

-- 
Chris